org.jbpm.ruleflow.core.factory

## Class ForEachNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
  - - org.jbpm.ruleflow.core.factory.ForEachNodeFactory

-     public class ForEachNodeFactory
      extends RuleFlowNodeContainerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForEachNodeFactory` | `collectionExpression(String collectionExpression)`
    `RuleFlowNodeContainerFactory` | `done()`
    `protected ForEachNode` | `getForEachNode()`
    `ForEachNodeFactory` | `linkIncomingConnections(long nodeId)`
    `ForEachNodeFactory` | `linkOutgoingConnections(long nodeId)`
    `ForEachNodeFactory` | `variable(String variableName, org.drools.core.process.core.datatype.DataType dataType)`
    `ForEachNodeFactory` | `waitForCompletion(boolean waitForCompletion)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

      `actionNode, compositeNode, connection, dynamicNode, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachNodeFactory

          public ForEachNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                            NodeContainer nodeContainer,
                            long id)

  - ### Method Detail

    - #### getForEachNode

          protected ForEachNode getForEachNode()

    - #### collectionExpression

          public ForEachNodeFactory collectionExpression(String collectionExpression)

    - #### variable

          public ForEachNodeFactory variable(String variableName,
                                    org.drools.core.process.core.datatype.DataType dataType)

    - #### waitForCompletion

          public ForEachNodeFactory waitForCompletion(boolean waitForCompletion)

    - #### linkIncomingConnections

          public ForEachNodeFactory linkIncomingConnections(long nodeId)

    - #### linkOutgoingConnections

          public ForEachNodeFactory linkOutgoingConnections(long nodeId)

    - #### done

          public RuleFlowNodeContainerFactory done()

      Specified by:
        `done` in class `RuleFlowNodeContainerFactory`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.